Bug 441290 - only services for a vital system should have a default runlevel list in their initscript
only services for a vital system should have a default runlevel list in their...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 10:20 EDT by Karsten Hopp
Modified: 2013-01-09 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 14:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-04-07 10:20:57 EDT
FPC and FESCo recently approved packaging guidelines for initscripts http://fedoraproject.org/wiki/Packaging/SysVInitScript . According to those guidelines only services which are really required for a vital system should define runlevels as the first parameter on the '# chkconfig: #' line in the initscript. Please consider changing the initscripts in this package.
Comment 1 Bug Zapper 2008-05-14 05:04:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Hans de Goede 2008-10-13 14:23:40 EDT
Short intro: I've recently begun as an iscsi-initiator-utils co-maintainer and as such I'm looking into all open bugs.

The iscsi services are *vital* for systems using iscsi, so they must be enabled bu default.

iscsi-initiator-utils-6.2.0.870-0.1.rc1.fc10 which will be in tomorrows rawhide has rewritten initscripts, which will silently exit with a 0 status ASAP when iscsi is not needed. This should migate most of the complaints as a user no longer sees any messages (when not using iscsi) and the actual time spend in the scripts is negligible (all the detection code does is 1 grep)

Note You need to log in before you can comment on or make changes to this bug.